﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace ScheduleChartViewBarTemplatingSample
{
    // Defines a attached properties to be used for specifying custom item settings in markup.
    public static class ItemExtensions
    {
        // The icon to be displayed on each resource assignment bar.
        public static DependencyProperty IconProperty = DependencyProperty.RegisterAttached("Icon", typeof(ImageSource), typeof(ItemExtensions), new FrameworkPropertyMetadata());
        public static ImageSource GetIcon(DependencyObject d)
        {
            return (ImageSource)d.GetValue(IconProperty);
        }
        public static void SetIcon(DependencyObject d, ImageSource value)
        {
            d.SetValue(IconProperty, value);
        }

        // The note to be displayed under each resource assignment bar.
        public static DependencyProperty NoteProperty = DependencyProperty.RegisterAttached("Note", typeof(string), typeof(ItemExtensions), new FrameworkPropertyMetadata());
        public static string GetNote(DependencyObject d)
        {
            return (string)d.GetValue(NoteProperty);
        }
        public static void SetNote(DependencyObject d, string value)
        {
            d.SetValue(NoteProperty, value);
        }
    }
}
